﻿@model VoteAnswer
@using DataLayer.Entity.Vote

@{
    ViewData["Title"] = "Vote";
    var vote = ViewData["Vote"] as Vote;
    var options = ViewData["VoteOptions"] as List<VoteAnswer>;
}

<h3>@vote.Question</h3>

<div class="row">
    <div class="col-md-4">
        
        @foreach (var item in options)
        {
            <p>
                <a class="btn btn-outline-secondary" asp-action="VoteAnswer" asp-all-route-data="@(new Dictionary<string, string>() {{"voteId", vote.VoteId.ToString()}, {"answerId", item.VoteAnswerId.ToString()}})">@item.Option</a>
            </p>
        }
    </div>
</div>
